--- Operations effectues sur la base de donnes

--- Table servers, creation des parametres de connexion
--- ConvertTraceroute.py
ALTER TABLE servers ADD COLUMN connectable BOOL ;
ALTER TABLE servers ALTER COLUMN connectable SET DEFAULT true;
ALTER TABLE servers ADD COLUMN id_connection_user_name INT ;
ALTER TABLE servers ALTER COLUMN id_connection_user_name SET DEFAULT 1;
ALTER TABLE servers ADD COLUMN id_connection_interface INT ;
ALTER TABLE servers ADD COLUMN connection_ssh_port INT ;
ALTER TABLE servers ALTER COLUMN connection_ssh_port SET DEFAULT 22;

--- Nouvelle table users, dplacement des donnes utilisateurs
--- ConvertUsers.py
ALTER TABLE servers ADD COLUMN id_connection_user INT ;

CREATE SEQUENCE users_id_user_seq
    INCREMENT BY 1
    MAXVALUE 2147483647
    NO MINVALUE
    CACHE 1;

ALTER TABLE users_id_user_seq owner TO eemyle;

CREATE TABLE users (
    id_user integer DEFAULT nextval('users_id_user_seq'::text) NOT NULL,
    id_server integer NOT NULL,
    name text NOT NULL,
    pass text NOT NULL
);

ALTER TABLE users owner TO eemyle;

-- Colonnes supprims
ALTER TABLE servers DROP COLUMN root_pass;
ALTER TABLE servers DROP COLUMN admin_pass;
ALTER TABLE servers DROP COLUMN admin_name;
ALTER TABLE servers DROP COLUMN user_pass;
ALTER TABLE servers DROP COLUMN user_name;

-- Nouvelle table admin_contract_servers
CREATE TABLE server_contracts (
    id_server_contract SERIAL PRIMARY KEY,
    id_admin_contract integer NOT NULL REFERENCES admin_contract,
    id_server integer NOT NULL REFERENCES servers
);

ALTER TABLE server_contracts owner TO eemyle;
